ooo-build r12872 - in trunk: . bin



Author: tml
Date: Thu Jun 12 11:44:39 2008
New Revision: 12872
URL: http://svn.gnome.org/viewvc/ooo-build?rev=12872&view=rev

Log:
2008-06-12  Tor Lillqvist  <tml novell com>

	* download.in
	* bin/unpack: Download and copy instmsia.exe into the build
	tree.

	* bin/unpack: Require instmsiw.exe, msvcr71.dll and msvcp71.dll,
	and copy them into the build tree, too. Give hints to where they
	might be obtained. Downloading instmsiw.exe requires Genuine
	Windows validation and can't be automated. As for msvcr71.dll and
	msvcp71.dll, somebody who doesn't happen to have a legal copy of
	them has a problem then. The installer-builder wants to include
	them with the installer, and indeed the prebuilt Mozilla binaries
	require them.



Modified:
   trunk/ChangeLog
   trunk/bin/unpack
   trunk/download.in

Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack	(original)
+++ trunk/bin/unpack	Thu Jun 12 11:44:39 2008
@@ -69,12 +69,46 @@
     check_file $SRCDIR/WNTMSCIlib.zip
     check_file $SRCDIR/WNTMSCIruntime.zip
 
-    echo -n "Looking for $SRCDIR/gdiplus.dll ... "
+    # msvc?71.dll that the prebuilt Mozilla needs and the
+    # installer-builder wants to put in the installer
+    for F in msvcr71.dll msvcp71.dll; do
+	$echo_n "Looking for $SRCDIR/$F ...  $echo_c"
+	if test -f $SRCDIR/$F; then
+	    echo "ok"
+	else
+	    echo "missing"
+	    echo "You might already have it in $WINDIR/system32. Copy it to $SRCDIR."
+	    echo "If not, you can find it in MSVS .NET 2003."
+	    echo "It is needed by the prebuilt Mozilla binaries that you have to use"
+	    echo "because Mozilla 1.7.5 can't be built with MSVS 2005."
+	    exit 1
+	fi
+    done
+
+    # instmsi?.exe are the installers for Windows Installer 2.0 for
+    # Win9x, Windows NT 4 and Windows 2000, that nobody really needs
+    # (I hope). But the installer-builder insists on including them
+    # with the installer
+    check_file $SRCDIR/instmsia.exe
+    $echo_n "Looking for $SRCDIR/instmsiw.exe ... $echo_c"
+    if test -f $SRCDIR/instmsiw.exe; then
+	echo "ok"
+    else
+	echo "missing"
+	echo "Get it from the Microsoft site and put it into $SRCDIR."
+	echo "You may have to search Microsoft's website."
+	echo "Last time it was seen at: http://www.microsoft.com/downloads/details.aspx?familyid=4B6140F9-2D36-4977-8FA1-6F8A0F5DCA8F&displaylang=en";
+	echo "Note that the download requires Genuine Windows validation"
+	echo "and can't easily be automated."
+	exit 1
+    fi
+
+    $echo_n "Looking for $SRCDIR/gdiplus.dll ... $echo_c"
     if test -f $SRCDIR/gdiplus.dll; then
 	echo "ok"
     else
 	echo "missing"
-	echo "Get it from the Microsoft site and put it into $SRCDIR"
+	echo "Get it from the Microsoft site and put it into $SRCDIR."
 	echo "You may have to search Microsoft's website."
 	echo "Last time it was seen at: http://www.microsoft.com/downloads/details.aspx?familyid=6A63AB9C-DF12-4D41-933C-BE590FEAA05A&displaylang=en";
 	echo "Note that the download requires Genuine Windows validation"
@@ -299,6 +333,22 @@
 	echo "done";
     fi
 
+    if test -f $OOBUILDDIR/external/msvcp71/msvcr71.dll -a \
+       test -f $OOBUILDDIR/external/msvcp71/msvcp71.dll; then
+	echo "Already have msvcr71.dll and msvcp71.dll"
+    else
+	$GNUCP -p $SRCDIR/msvcr71.dll $OOBUILDDIR/external/msvcp71
+	$GNUCP -p $SRCDIR/msvcp71.dll $OOBUILDDIR/external/msvcp71
+    fi
+
+    if test -f $OOBUILDDIR/external/msi/instmsia.exe -a \
+       test -f $OOBUILDDIR/external/msi/instmsiw.exe; then
+	echo "Already have instmsia.exe and instmsiw.exe"
+    else
+	$GNUCP -p $SRCDIR/instmsia.exe $OOBUILDDIR/external/msi
+	$GNUCP -p $SRCDIR/instmsiw.exe $OOBUILDDIR/external/msi
+    fi
+
     if test -f $TOOLSDIR/src/$AGFA_MONOTYPE_FONTS_SOURCE; then
         if test -f $OOBUILDDIR/agfa_monotype_fonts/download/$AGFA_MONOTYPE_FONTS_SOURCE; then
             echo "Already have the Agfa Monotype fonts"

Modified: trunk/download.in
==============================================================================
--- trunk/download.in	(original)
+++ trunk/download.in	Thu Jun 12 11:44:39 2008
@@ -57,6 +57,7 @@
     'unicows\.exe'			 => 'http://download.microsoft.com/download/b/7/5/b75eace3-00e2-4aa0-9a6f-0b6882c71642',
     # from http://www.microsoft.com/downloads/release.asp?releaseid=30682'
     'dbghinst\.EXE'			 => 'http://download.microsoft.com/download/platformsdk/Redist/5.0.2195.1/W9XNT4/EN-US',
+    'instmsia.exe'			 => 'http://download.microsoft.com/download/WindowsInstaller/Install/2.0/W9XMe/EN-US',
     '5_11_98Odma20\.zip'		 => '@MIRROR@/support',
     'openclipart-.*'			 => 'http://www.openclipart.org/downloads/@OPENCLIPART_VER@',
 #Update fonts:
@@ -194,6 +195,9 @@
 if ('@BUILD_WIN32@' ne '') 
 {
     push @files, ( 'unicows.exe', 'dbghinst.EXE' );
+    push @files, ( 'instmsia.exe' );
+    # instmsiw.exe can't be downloaded without Genuine Windows validation
+
     push @files, ( "apache-ant-1.7.0-bin.tar.gz" );
 
 # Comment out the Mozilla source bits until we can compile it



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]